<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo'<img src="../images/img/partners.gif" alt=""> <b>Результат голосования</b><br><br>';

##########################################################################
##                        Голосование
##########################################################################
if($action=="vote"){
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
	
$vvotes= file(BASEDIR."local/datavotes/votes.dat");
$vv = explode("|",$vvotes[0]);

if($vvotes){
if($golos>0 && $vv[$golos]!==""){
if($_SESSION['vottes']!="ok"){

$golos=(int)$golos;	
$_SESSION['vottes']="ok";

$vresult = file(BASEDIR."local/datavotes/result.dat");
$vu = explode("|",$vresult[0]);
$vu[$golos]++;
$vt='|'.$vu[1].'|'.$vu[2].'|'.$vu[3].'|'.$vu[4].'|'.$vu[5].'|'.$vu[6].'|'.$vu[7].'|'.$vu[8].'|'.$vu[9].'|'.$vu[10].'|';

if($vt){
$fp = fopen(BASEDIR."local/datavotes/result.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$vt);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666);
chmod (BASEDIR."local/datavotes/result.dat", 0666);
}

header ("Location: vote.php?isset=yesvotes&".SID); exit;

} else {echo '<b>Ошибка! Вы уже проголосовали!</b><br>';}
} else {echo '<b>Ошибка! Неверно указан вариант голосования!</b><br>';}
} else {echo '<b>Ошибка! Голосование еще не создано!</b><br>'; }
} else {
echo '<br>Вы не авторизованы, чтобы проголосовать необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

}

##########################################################################
##                        Главная страница
##########################################################################
if(!isset($action)) {
$vvotes = file(BASEDIR."local/datavotes/votes.dat");
$vv = explode("|",$vvotes[0]);
$vcount=count($vv);

$vresult = file(BASEDIR."local/datavotes/result.dat");
$vr = explode("|",$vresult[0]);

if($vvotes){	
	
for ($i=1;$i<$vcount;$i++){
$x=$x+$vr[$i];
}

for($i=1;$i<$vcount;$i++){
$proc[$i]=round($vr[$i]*100/$x);
}


for($i=1;$i<$vcount;$i++){
	
if($vv[$i]!==""){
 echo '<b>'.$vv[$i].'</b> (Проголосовало: '.(int)$vr[$i].')<br>';
 echo '<img src="'.BASEDIR.'gallery/grafic.php?rat='.$proc[$i].'&amp;imgs=1" alt=""><br><br>'; 
}
}

$sum=array_sum($vr);

echo '<br><b>Всего проголосовавших: '.(int)$sum.'</b><br>';

}else{echo'<img src="../images/img/reload.gif" alt=""> <b>Голосование еще не создано!</b><br>';}
} 

echo'<br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">К голосованию</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 

include_once"../themes/$config_themes/foot.php";
?>
